Advanced roadmap - Error #256

| click Milestones menu then 500 internal error occured.
2010-03-24 07:13 - Ki Won Kim

Status: Resolved Start date:
Priority: Normal Due date:
Assignee: Emilio Gonzalez Montafia % Done:
Category: Milestones Estimated time:
Target version: Advanced roadmap 0.1.0

Source: Redmine version:
Detected on version:

2010-03-24
2010-08-23
100%

0.00 hour

Description

| click Milestones menu in project->settings->Milestones or in Roadmap->Milestones
then 500 internal error returned.

my environments are
Redmine 0.9.3
Advanced roadmap 0.0.6

About your application's environment

Ruby version 1.8.7 (i386-mingw32)
RubyGems version 1.3.5

Rack version 1.0

Rails version 235

Active Record version 2.3.5

Active Resource version 2.3.5

Action Mailer version 2.3.5

Active Support version 2.3.5

Application root D:/Cl/Redmine
Environment production

Database adapter mysq|

Database schema version 20100221100219

About your Redmine plugins

Redmine Stealth plugin 0.1.0
Screenshot Paste 1.0.2
Redmine Schedules plugin 04.2
Bulk Time Entry 0.5.0
Issues XLS export 0.0.3
Redmine Code Review plugin 0.3.0
ezFAQ plugin 0.3.5
Timesheet Plugin 0.6.0
Libsvn 0.0.1

Redmine Graphs plugin 0.1.0
Scrumdashboard plugin 1.2
Charts Plugin 0.0.14
Advanced roadmap plugin 0.0.6
Thumbnails plugin 0.1.1
Redmine Checkout plugin 0.3
Tab Plugin 0.3.1
Redmine Question plugin 0.3.0
Redmine Bugcloud plugin 0.0.2.1

Redmine Wiki Issue Details plugin 0.1.0

error log below

ActionView::TemplateError (undefined method “show_value' for #<ActionView::Base:0x92620f8>) on line #11 of

app/views/versions/_overview.rhtml:

8: <ul>

9: <% version.custom_values.each do |custom_value| >

10: < if lcustom_value.value.blank? >

11: <li><=h custom_value.custom_field.name >: <=h show_value(custom_value) ></li>
12: <end >
13: <end %>

14: </ul>
app/views/versions/_overview.rhtml:11:in °~_run_rhtml_app47views4d7versions47_overviewd6b6rhtml_locals
_object_overview_version'
app/views/versions/_overview.rhtml:9:in " _run_rhtml_app47views47versions4d7_overviewd6rhtml_loc
als_object_overview_version'
vendor/plugins/advanced_roadmap/app/views/milestones/show.rhtml:70:in ' _run_rhtml_vendor4d7plug
ins47advanced_roadmap47app47/views47milestones47showd6rhtml’
vendor/plugins/advanced_roadmap/app/views/milestones/show.rhtml:64:in *_run_rhtml_vendor47plug

ins47advanced_roadmap47appd7views47/milestones47showd6rhtml’
D:/CI/Ruby/lib/ruby/1.8/webrick/httpserver.rb:104:in "service'
:/CI/Ruby/lib/ruby/1.8/webrick/httpserver.rb:65:in “run'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:162:in 'start'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:162:in 'start_thread'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:95:in "start'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:92:in “each'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:92:in " start'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:23:in "start'
:/CI/Ruby/lib/ruby/1.8/webrick/server.rb:82:in "start'
Rendering D:/Cl/Redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision be7e8598 - 2010-08-23 13:35 - Emilio Gonzalez Montaiia
#256

e Fixed error in milestones controller with custom fields helper.

History

#1 - 2010-08-18 11:20 - Andrew Rudenko

I've the same error,
to fix, just add two lines helper :custom_fields and include CustomFieldsHelper after before_filters and before def show method into
vendor/plugins/advanced_roadmap/app/controllers/milestones_controller.rb

class MilestonesController < ApplicationController

menu_item :roadmap

before_filter :find_project, :only => [:add]
before_filter :find_milestone, :except => [:add]
before_filter :authorize, :except => [:show]

helper :custom_fields
include CustomFieldsHelper

def show
end

foool]

#2 - 2010-08-23 15:35 - Emilio Gonzalez Montana
- Due date set to 2010-08-23

- Status changed from New to Resolved

- Assignee set to Emilio Gonzalez Montafa

- Target version set to Advanced roadmap 0.1.0

- % Done changed from 0 to 100

Thanks again Andrew.
